Package org.eclipse.m2m.atl.drivers.uml24atl

## Class AtlUML2ModelHandler

- java.lang.Object
- - org.eclipse.m2m.atl.engine.vm.AtlModelHandler
  - - org.eclipse.m2m.atl.drivers.emf4atl.AtlEMFModelHandler
    - - org.eclipse.m2m.atl.drivers.uml24atl.AtlUML2ModelHandler

    public class AtlUML2ModelHandler
    extends AtlEMFModelHandler

The UML2 model handler.

### Field Summary

### Fields inherited from class org.eclipse.m2m.atl.drivers.emf4atl.AtlEMFModelHandler

`ID`

### Fields inherited from class org.eclipse.m2m.atl.engine.vm.AtlModelHandler

`AMH_EMF`

### Constructor Summary

Constructors
`AtlUML2ModelHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ModelLoader` `createModelLoader()`
`boolean` `isHandling​(ASMModel model)` Returns true if the model is handled by the current model handler.

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.AtlModelHandler

`getDefault, getHandler, getHandlerName, getModelHandlers, registerDefaultHandler`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AtlUML2ModelHandler

    public AtlUML2ModelHandler()

### Method Detail

#### isHandling

    public boolean isHandling​(ASMModel model)

Returns true if the model is handled by the current model handler.

Overrides:
  `isHandling` in class `AtlEMFModelHandler`
Parameters:
  `model` - the model to test
Returns:
  true if the model is handled by the current model handler.
See Also:
  `AtlEMFModelHandler.isHandling(org.eclipse.m2m.atl.engine.vm.nativelib.ASMModel)`

#### createModelLoader

    public ModelLoader createModelLoader()

Overrides:
  `createModelLoader` in class `AtlEMFModelHandler`
Returns:
  A new ModelLoader instance corresponding to this kind of handler.
See Also:
  `AtlModelHandler.createModelLoader()`